# Negroni
Negroni is a user-management solution for Rails.  It is indended for api-only
applications.

Born out of [devise][devise-gh], it removes all the session-related code,
focusing on JSON web token authentication, using [knock][knock-gh].

As with [devise][devise-gh], both ActiveRecord and Mongoid are supported.

## Rails Version
This gem was developed with Rails version 5.0.0.1, but should work with anything
greater that Rails 5.

## Usage
First, install the gem (see [installation](#Installation) for details.)

To install the initializers, run:

```bash
$ bin/rails generate negroni:install
```

## Installation
Add this line to your application's Gemfile:

```ruby
gem 'negroni'
```

And then execute:
```bash
$ bundle
```

Or install it yourself as:
```bash
$ gem install negroni
```

## Documentation

Documentation is avaliable by running:

```bash
$ rake docs
```

in the root folder of the project.  Docs will be placed in doc/.


## Contributing
Contribution directions go here.

## License
The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).


[devise-gh]: https://github.com/plataformatec/devise
[knock-gh]:  https://github.com/nsarno/knock
